package com.chushang.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chushang.system.entity.dto.ListUserDTO;
import com.chushang.system.entity.po.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    SysUser selectUserByUserName(String username);

    SysUser selectUserById(Long userId);


    List<SysUser> selectUserList(SysUser user);


    List<SysUser> listUser(@Param("listUser") ListUserDTO listUser,
                           Page<SysUser> page);


    List<SysUser> selectAllocatedList(@Param("listUser") ListUserDTO listUser,
                                      Page<SysUser> page);


    List<SysUser> selectUnallocatedList(@Param("listUser") ListUserDTO listUser,
                                        Page<SysUser> page);
}
